#
# spec file for package python-pyperf
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-pyperf
Version:        2.0.0
Release:        bp156.3.3
Summary:        Python module to run and analyze benchmarks
License:        MIT
URL:            https://github.com/vstinner/pyperf
Source:         https://files.pythonhosted.org/packages/source/p/pyperf/pyperf-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Recommends:     python-psutil
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module psutil}
BuildRequires:  %{python_module pytest}
# /SECTION
%python_subpackages

%description
Python module to run and analyze benchmarks.

%prep
%setup -q -n pyperf-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license COPYING
%python3_only %{_bindir}/pyperf
%{python_sitelib}/*

%changelog
* Fri Mar 20 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to version 2.0.0
  * Drop Python 2 support. Use pyperf 1.7.1 if you still need Python 2.7
    support.
  * Remove ``python_unicode`` metadata.
  * pyperf.perf_counter() is now deprecated: use time.perf_counter() directly.
  * Support Python 3.8: ``time.clock()`` no longer exists.
- Drop no longer needed patches python-retcode.patch and python38.patch
* Mon Mar  9 2020 Tomáš Chvátal <tchvatal@suse.com>
- Add patches to work with py3.8:
  * python-retcode.patch
  * python38.patch
* Mon Mar  9 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.7.0:
  * metadata: add ``python_compiler``
  * Windows: inherit ``SystemDrive`` environment variable by default.
  * Fix tests on ARM and PPC: cpu_model_name metadata is no longer required
    on Linux.
  * tests: Do not allow test suite to execute without unittest2 on Python2,
    otherwise man failures occur due to missing 'assertRegex'.
  * doc: Update old/dead links.
  * Travis CI: drop Python 3.4 support.
* Sat Oct 12 2019 John Vandenberg <jayvdb@gmail.com>
- Fixed execution of test suite, skipping test_collect_metadata
- Fixed Python 2 runtime dependencies and recommends psutil
* Thu Sep 12 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.6.1
